
// created 06.2003 by Stefan Kleine Stegemann
// 
// licensed under GPL

#ifndef _H_TRANSFORMABLE_IMAGE_VIEW
#define _H_TRANSFORMABLE_IMAGE_VIEW

#include <AppKit/NSView.h>

// we use forward declarations here because
// Cocoas header files seem to be not include-safe.
@class NSImage;


@interface TransformableImageView : NSView
{
   NSImage* myImage;
}

- (id) initWithFrame: (NSRect)frame;
- (void) dealloc;

- (void) setImage: (NSImage*)image;
- (NSImage*) image;

- (void) drawRect: (NSRect)aRect;

@end

#endif
