
// created 06.2003 by Stefan Kleine Stegemann
// 
// licensed under GPL

#ifndef _H_PDF_IMAGE_REP
#define _H_PDF_IMAGE_REP

#ifdef MACOSX
#import <AppKit/NSImageRep.h>
#else
#include <AppKit/NSImageRep.h>
#endif


@class NSData;
@class NSPasteboard;
@class NSArray;


@interface PDFImageRep : NSImageRep
{
}

+ (void) initialize;

- (id) init;
- (void) dealloc;

+ (BOOL) canInitWithData: (NSData*)data;
+ (BOOL) canInitWithPasteboard: (NSPasteboard*)pasteboard; 
+ (NSArray*) imageFileTypes;
+ (NSArray*) imageUnfilteredFileTypes;
+ (NSArray*) imagePasteboardTypes;
+ (NSArray*) imageUnfilteredPasteboardTypes;

- (BOOL) drawInRect: (NSRect)rect;

@end

#endif
