
// created 06.2003 by Stefan Kleine Stegemann
// 
// licensed under GPL

#ifndef _H_PREFS_CONTROLLER
#define _H_PREFS_CONTROLLER

#include <Foundation/NSObject.h>
#include <Foundation/NSNotification.h>

@interface PrefsController : NSObject
{
   id prefetchCount;
   id cacheSize;
   id gsExecutable;
   id window;
}

- (id) init;
- (void) dealloc;

- (void) awakeFromNib;
- (id) window;
- (void) windowWillClose: (NSNotification*)aNotification;

@end

#endif

