
// created 06.2003 by Stefan Kleine Stegemann
// 
// licensed under GPL

#ifndef _H_VIEWABLE_PDF_PAGE
#define _H_VIEWABLE_PDF_PAGE

#include "ViewablePage.h"

@class ViewablePDFDocument;

@interface ViewablePDFPage : ViewablePage
{
   ViewablePDFDocument* myDocument;
}

- (id) initWithDocument: (ViewablePDFDocument*)aDocument pageNumber: (int)num;
- (void) dealloc;

- (NSImage*) image;
- (NSImage*) imageScaledBy: (double)factor;
- (BOOL) canScale;

@end

#endif
